<button (click)="toggle()">Toggle Cart</button>

<div *ngIf="items.length === 0" class="empty">
  No items in Cart!
</div>
<div *ngIf="items.length > 0">
  <table>
    <thead>
      <tr>
        <th>#</th>
        <th>Name</th>
        <th>Price</th>
        <th>Count</th>
        <th>Total</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let i of items; let row=index">
        <td>{{row + 1}}</td>
        <td>{{i.name | titlecase}}</td>
        <td>{{i.price | currency:'SEK'}}</td>
        <td>{{i.count | number:'1.0-0'}}</td>
        <td>{{i.total | currency:'SEK'}}</td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <th></th>
        <th></th>
        <th></th>
        <th>Total:</th>
        <th>{{total | currency:'SEK'}}</th>
      </tr>
    </tfoot>
  </table>
</div>
